#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (circular dependencies)

%define module	zope.copy
Summary:	Pluggable object copying mechanism
Summary(pl.UTF-8):	Mechanizm kopiowania obiektów z obsługą wtyczek
Name:		python3-%{module}
Version:	5.0
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-copy/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.copy/zope.copy-%{version}.tar.gz
# Source0-md5:	f4823dba82a8ef82f382db8bc0c9eb36
URL:		https://www.zope.dev/
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zodbpickle
BuildRequires:	python3-zope.component
BuildRequires:	python3-zope.interface
BuildRequires:	python3-zope.location
BuildRequires:	python3-zope.testing
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	python3-zodbpickle
# already installed package due to package namespace issues (required for "_modules" docs subdir)
BuildRequires:	python3-zope.copy
BuildRequires:	python3-zope.interface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a pluggable mechanism for copying persistent
objects.

%description -l pl.UTF-8
Ten pakiet zapewnia mechanizm kopiowania trwałych obiektów z
obsługą wtyczek.

%package apidocs
Summary:	API documentation for Python zope.copy module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.copy
Group:		Documentation

%description apidocs
API documentation for Python zope.copy module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.copy.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src -v
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/copy/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/copy
%{py3_sitescriptdir}/zope.copy-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.copy-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.copy.git;a=log;h=master

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> c285a7e
- python-zope.copy.spec updated to 5.0 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> bb6545e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1d89f81
- python 3.13 rebuild

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> f7eefcf
- updated to 4.3

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> d3bda70
- updated docs (it seems that _modules dir is not created with Sphinx 4.5)

* Sun Feb 27 2022 Jakub Bogusz <qboosh@pld-linux.org> ec514e4
- new

